Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-gtk-4.0/menu.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Macros | Enumerations | Functions | Variables
menu.c File Reference
`#include <stdlib.h>`
`#include <gtk/gtk.h>`
`#include "fcintl.h"`
`#include "log.h"`
`#include "shared.h"`
`#include "support.h"`
`#include "game.h"`
`#include "government.h"`
`#include "road.h"`
`#include "unit.h"`
`#include "client_main.h"`
`#include "clinet.h"`
`#include "connectdlg_common.h"`
`#include "control.h"`
`#include "mapview_common.h"`
`#include "options.h"`
`#include "tilespec.h"`
`#include "chatline.h"`
`#include "cityrep.h"`
`#include "dialogs.h"`
`#include "editgui.h"`
`#include "editprop.h"`
`#include "finddlg.h"`
`#include "gamedlgs.h"`
`#include "gotodlg.h"`
`#include "gui_main.h"`
`#include "gui_stuff.h"`
`#include "helpdlg.h"`
`#include "infradlg.h"`
`#include "luaconsole.h"`
`#include "mapctrl.h"`
`#include "messagedlg.h"`
`#include "messagewin.h"`
`#include "optiondlg.h"`
`#include "pages.h"`
`#include "plrdlg.h"`
`#include "rallypointdlg.h"`
`#include "ratesdlg.h"`
`#include "repodlgs.h"`
`#include "sprite.h"`
`#include "spaceshipdlg.h"`
`#include "unitselect.h"`
`#include "wldlg.h"`
`#include "menu.h"`

Go to the source code of this file.

## Data Structures

struct | menu_entry_info
struct | menu_entry_option_map

## Macros

#define | CREATE_SUB_ITEM(_sub_target_, _sub_target_key_, _sub_target_name_)

## Enumerations

enum | menu_entry_grouping { MGROUP_SAFE , MGROUP_EDIT , MGROUP_PLAYING , MGROUP_UNIT , MGROUP_PLAYER , MGROUP_ALL }

enum

{
VMENU_CITY_OUTLINES = 0 , VMENU_CITY_OUTPUT , VMENU_MAP_GRID , VMENU_NAT_BORDERS ,
VMENU_NATIVE_TILES , VMENU_CITY_FULL_BAR , VMENU_CITY_NAMES , VMENU_CITY_GROWTH ,
VMENU_CITY_PRODUCTIONS , VMENU_CITY_BUY_COST , VMENU_CITY_TRADE_ROUTES , VMENU_TERRAIN ,
VMENU_COASTLINE , VMENU_PATHS , VMENU_IRRIGATION , VMENU_MINES ,
VMENU_BASES , VMENU_RESOURCES , VMENU_HUTS , VMENU_POLLUTION ,
VMENU_CITIES , VMENU_UNITS , VMENU_UNIT_SOLID_BG , VMENU_UNIT_SHIELDS ,
VMENU_STACK_SIZE , VMENU_FOCUS_UNIT , VMENU_FOW , VMENU_FULL_SCREEN
}

## Functions

static GMenu * | setup_menus (GtkApplication *app)
static void | view_menu_update_sensitivity (GActionMap *map)
static void | setup_app_actions (GApplication *fc_app)
static GMenuItem * | create_toggle_menu_item (struct menu_entry_info *info)
static GMenuItem * | create_toggle_menu_item_for_key (const char *key)
static void | clear_chat_logs_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | save_chat_logs_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | local_options_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | message_options_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | server_options_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | save_options_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | save_options_on_exit_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | save_game_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | save_game_as_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | save_mapimg_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | save_mapimg_as_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | find_city_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | worklists_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | client_lua_script_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | leave_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | quit_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | map_view_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | report_units_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | report_nations_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | report_cities_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | report_wow_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | report_top_cities_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | report_messages_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | report_demographic_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_overview_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_playing_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_policies_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_terrain_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_economy_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_cities_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_improvements_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_wonders_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_units_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_combat_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_zoc_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_government_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_diplomacy_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_tech_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_space_race_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_ruleset_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_tileset_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_musicset_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_nations_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_connecting_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_controls_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_governor_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_chatline_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_worklist_editor_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_language_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_copying_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | help_about_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | edit_mode_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_city_outlines_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_city_output_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_map_grid_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_national_borders_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_native_tiles_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_city_full_bar_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_city_names_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_city_growth_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_city_productions_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_city_buy_cost_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_city_trade_routes_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_terrain_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_coastline_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_paths_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_irrigation_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_mines_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_bases_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_resources_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_huts_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_pollution_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_cities_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_units_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_unit_solid_bg_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_unit_shields_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_stack_size_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_focus_unit_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | show_fog_of_war_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | toggle_fog_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | scenario_properties_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | save_scenario_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | full_screen_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | center_view_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | report_economy_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | report_research_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | multiplier_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | report_spaceship_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | report_achievements_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | government_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | revolution_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | tax_rate_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | select_single_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | select_all_on_tile_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | select_same_type_tile_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | select_same_type_cont_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | select_same_type_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | select_dialog_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | rally_dialog_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | infra_dialog_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_wait_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_done_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_goto_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_goto_city_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_return_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_explore_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_patrol_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_teleport_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_sentry_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | fortify_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_homecity_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_upgrade_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_convert_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_disband_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unsentry_all_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_unload_transporter_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_board_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | unit_deboard_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | build_city_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | auto_settle_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | cultivate_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | plant_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | paradrop_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | pillage_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | transform_terrain_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | clean_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | build_road_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | build_irrigation_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | build_mine_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | connect_road_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | connect_rail_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | connect_maglev_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | connect_irrigation_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | do_action_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | build_fortress_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | build_airbase_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | bg_select_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | bg_assign_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | bg_append_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static struct menu_entry_info * | menu_entry_info_find (const char *key)
static void | leave_local_game_response (GtkWidget *dialog, gint response)
static void | view_menu_item_toggle (void(*cb)(void), bool updt_sensitivity, gpointer data)
static void | unit_goto_and_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | base_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | road_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | irrigation_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | mine_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | clean_menu_callback (GSimpleAction *action, GVariant *parameter, gpointer data)
static void | menu_entry_init (GMenu *sub, const char *key)
void | menus_set_initial_toggle_values (void)
static void | register_bg_actions (GActionMap *map, int bg)
static void | menu_entry_set_sensitive_info (GActionMap *map, struct menu_entry_info *info, gboolean is_enabled)
static void | menu_entry_set_sensitive (GActionMap *map, const char *key, gboolean is_enabled)
static void | menu_entry_group_set_sensitive (GActionMap *map, enum menu_entry_grouping group, gboolean is_enabled)
static void | menus_rename (GMenu *parent, int index, const char *key, const char *new_name)
static const char * | get_tile_change_menu_text (struct tile *ptile, enum unit_activity activity)
void | real_menus_update (void)
void | real_menus_init (void)
void | enable_menus (bool enable)
void | menus_disable_unit_commands (void)

## Variables

static GMenu * | main_menubar = NULL
static bool | menus_built = FALSE
static GMenu * | options_menu = NULL
static GMenu * | edit_menu = NULL
static GMenu * | view_menu = NULL
static GMenu * | gov_menu = NULL
static GMenu * | unit_menu = NULL
static GMenu * | work_menu = NULL
static GMenu * | combat_menu = NULL
static struct menu_entry_info | menu_entries []
const GActionEntry | acts []
const struct menu_entry_option_map | meoms []

## Macro Definition Documentation

## ◆ CREATE_SUB_ITEM

#define CREATE_SUB_ITEM | ( |  | _sub_target_,
|  |  | _sub_target_key_,
|  |  | _sub_target_name_
| ) |  |

Value:
{ \
fc_snprintf(actname, sizeof(actname), "subtgt_%d", j); \
act = g_simple_action_new(actname, NULL); \
g_action_map_add_action(map, G_ACTION(act)); \
g_object_set_data(G_OBJECT(act), _sub_target_key_, _sub_target_); \
g_signal_connect(act, "activate", G_CALLBACK(unit_goto_and_callback), \
paction); \
fc_snprintf(subname, sizeof(subname), "%s", _sub_target_name_); \
fc_snprintf(actname, sizeof(actname), "app.subtgt_%d", j++); \
menu_item_append_unref(sub_target_menu, \
g_menu_item_new(subname, actname)); \
}
incite_cost
char * incite_cost
Definition comments.c:74
unit_goto_and_callback
static void unit_goto_and_callback(GtkMenuItem *item, gpointer data)
Definition menu.c:1597

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
VMENU_CITY_OUTLINES |
VMENU_CITY_OUTPUT |
VMENU_MAP_GRID |
VMENU_NAT_BORDERS |
VMENU_NATIVE_TILES |
VMENU_CITY_FULL_BAR |
VMENU_CITY_NAMES |
VMENU_CITY_GROWTH |
VMENU_CITY_PRODUCTIONS |
VMENU_CITY_BUY_COST |
VMENU_CITY_TRADE_ROUTES |
VMENU_TERRAIN |
VMENU_COASTLINE |
VMENU_PATHS |
VMENU_IRRIGATION |
VMENU_MINES |
VMENU_BASES |
VMENU_RESOURCES |
VMENU_HUTS |
VMENU_POLLUTION |
VMENU_CITIES |
VMENU_UNITS |
VMENU_UNIT_SOLID_BG |
VMENU_UNIT_SHIELDS |
VMENU_STACK_SIZE |
VMENU_FOCUS_UNIT |
VMENU_FOW |
VMENU_FULL_SCREEN |

Definition at line 1011 of file menu.c.

## ◆ menu_entry_grouping

enum menu_entry_grouping

Enumerator
MGROUP_SAFE |
MGROUP_EDIT |
MGROUP_PLAYING |
MGROUP_UNIT |
MGROUP_PLAYER |
MGROUP_ALL |

Definition at line 80 of file menu.c.

## Function Documentation

## ◆ auto_settle_callback()

static void auto_settle_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "AUTO_SETTLE" callback.

Definition at line 2456 of file menu.c.

## ◆ base_callback()

static void base_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

The player has chosen a base to build from the menu.

Definition at line 2711 of file menu.c.

## ◆ bg_append_callback()

static void bg_append_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Append units to battle group

Definition at line 2870 of file menu.c.

Referenced by register_bg_actions().

## ◆ bg_assign_callback()

static void bg_assign_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Assign units to battle group

Definition at line 2860 of file menu.c.

Referenced by register_bg_actions().

## ◆ bg_select_callback()

static void bg_select_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Select battle group

Definition at line 2850 of file menu.c.

Referenced by register_bg_actions().

## ◆ build_airbase_callback()

static void build_airbase_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "BUILD_AIRBASE" callback.

Definition at line 2634 of file menu.c.

## ◆ build_city_callback()

static void build_city_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "BUILD_CITY" callback.

Definition at line 2435 of file menu.c.

## ◆ build_fortress_callback()

static void build_fortress_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "BUILD_FORTRESS" callback.

Definition at line 2625 of file menu.c.

## ◆ build_irrigation_callback()

static void build_irrigation_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "BUILD_IRRIGATION" callback.

Definition at line 2494 of file menu.c.

## ◆ build_mine_callback()

static void build_mine_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "BUILD_MINE" callback.

Definition at line 2524 of file menu.c.

## ◆ build_road_callback()

static void build_road_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "BUILD_ROAD" callback.

Definition at line 2466 of file menu.c.

## ◆ center_view_callback()

static void center_view_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "CENTER_VIEW" callback.

Definition at line 2787 of file menu.c.

## ◆ clean_callback()

static void clean_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "CLEAN" callback.

Definition at line 2616 of file menu.c.

## ◆ clean_menu_callback()

static void clean_menu_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

The player has chosen an extra to clean from the menu.

Definition at line 2770 of file menu.c.

Referenced by real_menus_update().

## ◆ clear_chat_logs_callback()

static void clear_chat_logs_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "CLEAR_CHAT_LOGS" callback.

Definition at line 1168 of file menu.c.

## ◆ client_lua_script_callback()

static void client_lua_script_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "CLIENT_LUA_SCRIPT" callback.

Definition at line 1410 of file menu.c.

## ◆ connect_irrigation_callback()

static void connect_irrigation_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "CONNECT_IRRIGATION" callback.

Definition at line 2588 of file menu.c.

## ◆ connect_maglev_callback()

static void connect_maglev_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "CONNECT_MAGLEV" callback.

Definition at line 2570 of file menu.c.

## ◆ connect_rail_callback()

static void connect_rail_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "CONNECT_RAIL" callback.

Definition at line 2552 of file menu.c.

## ◆ connect_road_callback()

static void connect_road_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "CONNECT_ROAD" callback.

Definition at line 2534 of file menu.c.

## ◆ create_toggle_menu_item()

static GMenuItem * create_toggle_menu_item | ( | struct menu_entry_info * | info | ) |

static

Create toggle menu entry by info. Caller need to g_object_unref() returned item.

Definition at line 2881 of file menu.c.

Referenced by create_toggle_menu_item_for_key(), full_screen_callback(), menu_entry_init(), real_menus_update(), save_options_on_exit_callback(), and toggle_fog_callback().

## ◆ create_toggle_menu_item_for_key()

static GMenuItem * create_toggle_menu_item_for_key | ( | const char * | key | ) |

static

Create toggle menu entry by key Caller need to g_object_unref() returned item.

Definition at line 2904 of file menu.c.

Referenced by view_menu_item_toggle().

## ◆ cultivate_callback()

static void cultivate_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "CULTIVATE" callback.

Definition at line 2504 of file menu.c.

## ◆ do_action_callback()

static void do_action_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "DO_ACTION" callback.

Definition at line 2663 of file menu.c.

## ◆ edit_mode_callback()

static void edit_mode_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "EDIT_MODE" callback.

Definition at line 1710 of file menu.c.

## ◆ enable_menus()

void enable_menus | ( | bool | enable | ) |

Enable/Disable the game page menu bar.

Definition at line 4116 of file menu.c.

## ◆ find_city_callback()

static void find_city_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "FIND_CITY" callback.

Definition at line 1341 of file menu.c.

## ◆ fortify_callback()

static void fortify_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "FORTIFY" callback.

Definition at line 2351 of file menu.c.

## ◆ full_screen_callback()

static void full_screen_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "FULL_SCREEN" callback.

Definition at line 2060 of file menu.c.

## ◆ get_tile_change_menu_text()

static const char * get_tile_change_menu_text | ( | struct tile * | ptile,
|  | enum unit_activity | activity
| ) |  |

static

Return the text for the tile, changed by the activity.

Should only be called for irrigation, mining, or transformation, and only when the activity changes the base terrain type.

Definition at line 3387 of file menu.c.

## ◆ government_callback()

static void government_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

The player has chosen a government from the menu.

Definition at line 2691 of file menu.c.

## ◆ help_about_callback()

static void help_about_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_ABOUT" callback.

Definition at line 1700 of file menu.c.

## ◆ help_chatline_callback()

static void help_chatline_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_CHATLINE" callback.

Definition at line 1660 of file menu.c.

## ◆ help_cities_callback()

static void help_cities_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_CITIES" callback.

Definition at line 1490 of file menu.c.

## ◆ help_combat_callback()

static void help_combat_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_COMBAT" callback.

Definition at line 1530 of file menu.c.

## ◆ help_connecting_callback()

static void help_connecting_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_CONNECTING" callback.

Definition at line 1630 of file menu.c.

## ◆ help_controls_callback()

static void help_controls_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_CONTROLS" callback.

Definition at line 1640 of file menu.c.

## ◆ help_copying_callback()

static void help_copying_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_COPYING" callback.

Definition at line 1690 of file menu.c.

## ◆ help_diplomacy_callback()

static void help_diplomacy_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_DIPLOMACY" callback.

Definition at line 1560 of file menu.c.

## ◆ help_economy_callback()

static void help_economy_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_ECONOMY" callback.

Definition at line 1480 of file menu.c.

## ◆ help_government_callback()

static void help_government_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_GOVERNMENT" callback.

Definition at line 1550 of file menu.c.

## ◆ help_governor_callback()

static void help_governor_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_GOVERNOR" callback.

Definition at line 1650 of file menu.c.

## ◆ help_improvements_callback()

static void help_improvements_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_IMPROVEMENTS" callback.

Definition at line 1500 of file menu.c.

## ◆ help_language_callback()

static void help_language_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_LANGUAGE" callback.

Definition at line 1680 of file menu.c.

## ◆ help_musicset_callback()

static void help_musicset_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_MUSICSET" callback.

Definition at line 1610 of file menu.c.

## ◆ help_nations_callback()

static void help_nations_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_NATIONS" callback.

Definition at line 1620 of file menu.c.

## ◆ help_overview_callback()

static void help_overview_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_OVERVIEW" callback.

Definition at line 1440 of file menu.c.

## ◆ help_playing_callback()

static void help_playing_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_PLAYING" callback.

Definition at line 1450 of file menu.c.

## ◆ help_policies_callback()

static void help_policies_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_POLICIES" callback.

Definition at line 1460 of file menu.c.

## ◆ help_ruleset_callback()

static void help_ruleset_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_RULESET" callback.

Definition at line 1590 of file menu.c.

## ◆ help_space_race_callback()

static void help_space_race_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_SPACE_RACE" callback.

Definition at line 1580 of file menu.c.

## ◆ help_tech_callback()

static void help_tech_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_TECH" callback.

Definition at line 1570 of file menu.c.

## ◆ help_terrain_callback()

static void help_terrain_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_TERRAIN" callback.

Definition at line 1470 of file menu.c.

## ◆ help_tileset_callback()

static void help_tileset_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_TILESET" callback.

Definition at line 1600 of file menu.c.

## ◆ help_units_callback()

static void help_units_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_UNITS" callback.

Definition at line 1520 of file menu.c.

## ◆ help_wonders_callback()

static void help_wonders_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_WONDERS" callback.

Definition at line 1510 of file menu.c.

## ◆ help_worklist_editor_callback()

static void help_worklist_editor_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_WORKLIST_EDITOR" callback.

Definition at line 1670 of file menu.c.

## ◆ help_zoc_callback()

static void help_zoc_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "HELP_ZOC" callback.

Definition at line 1540 of file menu.c.

## ◆ infra_dialog_callback()

static void infra_dialog_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Open infra placement dialog.

Definition at line 2190 of file menu.c.

## ◆ irrigation_callback()

static void irrigation_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

The player has chosen an irrigation to build from the menu.

Definition at line 2740 of file menu.c.

Referenced by real_menus_update().

## ◆ leave_callback()

static void leave_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "LEAVE" callback.

Definition at line 1310 of file menu.c.

## ◆ leave_local_game_response()

static void leave_local_game_response | ( | GtkWidget * | dialog,
|  | gint | response
| ) |  |

static

This is the response callback for the dialog with the message: Leaving a local game will end it!

Definition at line 1295 of file menu.c.

## ◆ local_options_callback()

static void local_options_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "LOCAL_OPTIONS" callback.

Definition at line 1188 of file menu.c.

## ◆ map_view_callback()

static void map_view_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "MAP_VIEW" callback.

Definition at line 1361 of file menu.c.

## ◆ menu_entry_group_set_sensitive()

static void menu_entry_group_set_sensitive | ( | GActionMap * | map,
|  | enum menu_entry_grouping | group,
|  | gboolean | is_enabled
| ) |  |

static

Set sensitivity of all entries in the group.

Definition at line 3321 of file menu.c.

## ◆ menu_entry_info_find()

static struct menu_entry_info * menu_entry_info_find | ( | const char * | key | ) |

static

Find menu entry construction data

Definition at line 3277 of file menu.c.

## ◆ menu_entry_init()

static void menu_entry_init | ( | GMenu * | sub,
|  | const char * | key
| ) |  |

static

Set name of the menu item.

Definition at line 2912 of file menu.c.

## ◆ menu_entry_set_sensitive()

static void menu_entry_set_sensitive | ( | GActionMap * | map,
|  | const char * | key,
|  | gboolean | is_enabled
| ) |  |

static

Sets sensitivity of an menu entry.

Definition at line 3307 of file menu.c.

## ◆ menu_entry_set_sensitive_info()

static void menu_entry_set_sensitive_info | ( | GActionMap * | map,
|  | struct menu_entry_info * | info,
|  | gboolean | is_enabled
| ) |  |

static

Sets sensitivity of an menu entry, found by info.

Definition at line 3293 of file menu.c.

Referenced by menu_entry_group_set_sensitive(), and menu_entry_set_sensitive().

## ◆ menus_disable_unit_commands()

void menus_disable_unit_commands | ( | void |  | ) |

Disable all unit related commands.

Definition at line 4147 of file menu.c.

Referenced by il_gained_focus().

## ◆ menus_rename()

static void menus_rename | ( | GMenu * | parent,
|  | int | index,
|  | const char * | key,
|  | const char * | new_name
| ) |  |

static

Renames an action.

Definition at line 3337 of file menu.c.

## ◆ menus_set_initial_toggle_values()

void menus_set_initial_toggle_values | ( | void |  | ) |

Registers menu actions for the application.

Definition at line 2937 of file menu.c.

Referenced by ui_main().

## ◆ message_options_callback()

static void message_options_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "MESSAGE_OPTIONS" callback.

Definition at line 1198 of file menu.c.

## ◆ mine_callback()

static void mine_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

The player has chosen a mine to build from the menu.

Definition at line 2755 of file menu.c.

Referenced by real_menus_update().

## ◆ multiplier_callback()

static void multiplier_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "MULTIPLIERS" callback.

Definition at line 2682 of file menu.c.

## ◆ paradrop_callback()

static void paradrop_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "PARADROP" callback.

Definition at line 2643 of file menu.c.

## ◆ pillage_callback()

static void pillage_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "PILLAGE" callback.

Definition at line 2653 of file menu.c.

## ◆ plant_callback()

static void plant_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "PLANT" callback.

Definition at line 2514 of file menu.c.

## ◆ quit_callback()

static void quit_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "QUIT" callback.

Definition at line 1331 of file menu.c.

## ◆ rally_dialog_callback()

static void rally_dialog_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Open rally point dialog.

Definition at line 2180 of file menu.c.

## ◆ real_menus_init()

void real_menus_init | ( | void |  | ) |

Initialize menus (sensitivity, name, etc.) based on the current state and current ruleset, etc. Call menus_update().

Definition at line 4089 of file menu.c.

## ◆ real_menus_update()

void real_menus_update | ( | void |  | ) |

Updates the menus.

Definition at line 3403 of file menu.c.

## ◆ register_bg_actions()

static void register_bg_actions | ( | GActionMap * | map,
|  | int | bg
| ) |  |

static

Registers menu actions for Battle Groups actions

Definition at line 2995 of file menu.c.

Referenced by setup_menus().

## ◆ report_achievements_callback()

static void report_achievements_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "REPORT_ACHIEVEMENTS" callback.

Definition at line 1430 of file menu.c.

## ◆ report_cities_callback()

static void report_cities_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "REPORT_CITIES" callback.

Definition at line 2807 of file menu.c.

## ◆ report_demographic_callback()

static void report_demographic_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "REPORT_DEMOGRAPHIC" callback.

Definition at line 1420 of file menu.c.

## ◆ report_economy_callback()

static void report_economy_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "REPORT_ECONOMY" callback.

Definition at line 2818 of file menu.c.

## ◆ report_messages_callback()

static void report_messages_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "REPORT_MESSAGES" callback.

Definition at line 1400 of file menu.c.

## ◆ report_nations_callback()

static void report_nations_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "REPORT_NATIONS" callback.

Definition at line 1370 of file menu.c.

## ◆ report_research_callback()

static void report_research_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "REPORT_RESEARCH" callback.

Definition at line 2828 of file menu.c.

## ◆ report_spaceship_callback()

static void report_spaceship_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "REPORT_SPACESHIP" callback.

Definition at line 2838 of file menu.c.

## ◆ report_top_cities_callback()

static void report_top_cities_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "REPORT_TOP_CITIES" callback.

Definition at line 1390 of file menu.c.

## ◆ report_units_callback()

static void report_units_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "REPORT_UNITS" callback.

Definition at line 2797 of file menu.c.

## ◆ report_wow_callback()

static void report_wow_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "REPORT_WOW" callback.

Definition at line 1380 of file menu.c.

## ◆ revolution_callback()

static void revolution_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

The player has chosen targetless revolution from the menu.

Definition at line 2701 of file menu.c.

## ◆ road_callback()

static void road_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

The player has chosen a road to build from the menu.

Definition at line 2725 of file menu.c.

## ◆ save_chat_logs_callback()

static void save_chat_logs_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SAVE_CHAT_LOGS" callback.

Definition at line 1178 of file menu.c.

## ◆ save_game_as_callback()

static void save_game_as_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SAVE_GAME_AS" callback.

Definition at line 1267 of file menu.c.

## ◆ save_game_callback()

static void save_game_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SAVE_GAME" callback.

Definition at line 1258 of file menu.c.

## ◆ save_mapimg_as_callback()

static void save_mapimg_as_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SAVE_MAPIMG_AS" callback.

Definition at line 1285 of file menu.c.

## ◆ save_mapimg_callback()

static void save_mapimg_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SAVE_MAPIMG" callback.

Definition at line 1276 of file menu.c.

## ◆ save_options_callback()

static void save_options_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SAVE_OPTIONS" callback.

Definition at line 1218 of file menu.c.

## ◆ save_options_on_exit_callback()

static void save_options_on_exit_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SAVE_OPTIONS_ON_EXIT" callback.

Definition at line 1228 of file menu.c.

## ◆ save_scenario_callback()

static void save_scenario_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SAVE_SCENARIO" callback.

Definition at line 2112 of file menu.c.

## ◆ scenario_properties_callback()

static void scenario_properties_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SCENARIO_PROPERTIES" callback.

Definition at line 2098 of file menu.c.

## ◆ select_all_on_tile_callback()

static void select_all_on_tile_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SELECT_ALL_ON_TILE" callback.

Definition at line 2130 of file menu.c.

## ◆ select_dialog_callback()

static void select_dialog_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Open unit selection dialog.

Definition at line 2170 of file menu.c.

## ◆ select_same_type_callback()

static void select_same_type_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SELECT_SAME_TYPE" callback.

Definition at line 2160 of file menu.c.

## ◆ select_same_type_cont_callback()

static void select_same_type_cont_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SELECT_SAME_TYPE_CONT" callback.

Definition at line 2150 of file menu.c.

## ◆ select_same_type_tile_callback()

static void select_same_type_tile_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SELECT_SAME_TYPE_TILE" callback.

Definition at line 2140 of file menu.c.

## ◆ select_single_callback()

static void select_single_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SELECT_SINGLE" callback.

Definition at line 2121 of file menu.c.

## ◆ server_options_callback()

static void server_options_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SERVER_OPTIONS" callback.

Definition at line 1208 of file menu.c.

## ◆ setup_app_actions()

static void setup_app_actions | ( | GApplication * | fc_app | ) |

static

Registers menu actions for the application.

Definition at line 2955 of file menu.c.

Referenced by enable_menus().

## ◆ setup_menus()

static GMenu * setup_menus | ( | GtkApplication * | app | ) |

static

Creates the menu bar.

Definition at line 3022 of file menu.c.

## ◆ show_bases_callback()

static void show_bases_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_BASES" callback.

Definition at line 1956 of file menu.c.

## ◆ show_cities_callback()

static void show_cities_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITIES" callback.

Definition at line 1993 of file menu.c.

## ◆ show_city_buy_cost_callback()

static void show_city_buy_cost_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_BUY_COST" callback.

Definition at line 1886 of file menu.c.

## ◆ show_city_full_bar_callback()

static void show_city_full_bar_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_FULL_BAR" callback.

Definition at line 1846 of file menu.c.

## ◆ show_city_growth_callback()

static void show_city_growth_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_GROWTH" callback.

Definition at line 1866 of file menu.c.

## ◆ show_city_names_callback()

static void show_city_names_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_NAMES" callback.

Definition at line 1856 of file menu.c.

## ◆ show_city_outlines_callback()

static void show_city_outlines_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_OUTLINES" callback.

Definition at line 1797 of file menu.c.

## ◆ show_city_output_callback()

static void show_city_output_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_OUTPUT" callback.

Definition at line 1807 of file menu.c.

## ◆ show_city_productions_callback()

static void show_city_productions_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_PRODUCTIONS" callback.

Definition at line 1876 of file menu.c.

## ◆ show_city_trade_routes_callback()

static void show_city_trade_routes_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_TRADE_ROUTES" callback.

Definition at line 1896 of file menu.c.

## ◆ show_coastline_callback()

static void show_coastline_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_COASTLINE" callback.

Definition at line 1916 of file menu.c.

## ◆ show_focus_unit_callback()

static void show_focus_unit_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_FOCUS_UNIT" callback.

Definition at line 2041 of file menu.c.

## ◆ show_fog_of_war_callback()

static void show_fog_of_war_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_FOG_OF_WAR" callback.

Definition at line 2051 of file menu.c.

## ◆ show_huts_callback()

static void show_huts_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_HUTS" callback.

Definition at line 1975 of file menu.c.

## ◆ show_irrigation_callback()

static void show_irrigation_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_IRRIGATION" callback.

Definition at line 1936 of file menu.c.

## ◆ show_map_grid_callback()

static void show_map_grid_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_MAP_GRID" callback.

Definition at line 1817 of file menu.c.

## ◆ show_mines_callback()

static void show_mines_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_MINES" callback.

Definition at line 1946 of file menu.c.

## ◆ show_national_borders_callback()

static void show_national_borders_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_NAT_BORDERS" callback.

Definition at line 1826 of file menu.c.

## ◆ show_native_tiles_callback()

static void show_native_tiles_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_NATIVE_TILES" callback.

Definition at line 1836 of file menu.c.

## ◆ show_paths_callback()

static void show_paths_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_PATHS" callback.

Definition at line 1926 of file menu.c.

## ◆ show_pollution_callback()

static void show_pollution_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_POLLUTION" callback.

Definition at line 1984 of file menu.c.

## ◆ show_resources_callback()

static void show_resources_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_RESOURCES" callback.

Definition at line 1965 of file menu.c.

## ◆ show_stack_size_callback()

static void show_stack_size_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_STACK_SIZE" callback.

Definition at line 2031 of file menu.c.

## ◆ show_terrain_callback()

static void show_terrain_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_TERRAIN" callback.

Definition at line 1906 of file menu.c.

## ◆ show_unit_shields_callback()

static void show_unit_shields_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_UNIT_SHIELDS" callback.

Definition at line 2021 of file menu.c.

## ◆ show_unit_solid_bg_callback()

static void show_unit_solid_bg_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_UNIT_SOLID_BG" callback.

Definition at line 2011 of file menu.c.

## ◆ show_units_callback()

static void show_units_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "SHOW_UNITS" callback.

Definition at line 2002 of file menu.c.

## ◆ tax_rate_callback()

static void tax_rate_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "TAX_RATES" callback.

Definition at line 2673 of file menu.c.

## ◆ toggle_fog_callback()

static void toggle_fog_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "TOGGLE_FOG" callback.

Definition at line 2079 of file menu.c.

## ◆ transform_terrain_callback()

static void transform_terrain_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Action "TRANSFORM_TERRAIN" callback.

Definition at line 2606 of file menu.c.

## ◆ unit_board_callback()

static void unit_board_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_BOARD" callback.

Definition at line 2363 of file menu.c.

## ◆ unit_convert_callback()

static void unit_convert_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_CONVERT" callback.

Definition at line 2415 of file menu.c.

## ◆ unit_deboard_callback()

static void unit_deboard_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_DEBOARD" callback.

Definition at line 2374 of file menu.c.

## ◆ unit_disband_callback()

static void unit_disband_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_DISBAND" callback.

Definition at line 2425 of file menu.c.

## ◆ unit_done_callback()

static void unit_done_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_DONE" callback.

Definition at line 2210 of file menu.c.

## ◆ unit_explore_callback()

static void unit_explore_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_EXPLORE" callback.

Definition at line 2303 of file menu.c.

## ◆ unit_goto_and_callback()

static void unit_goto_and_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Activate the goto system with an action to perform once there.

Definition at line 2229 of file menu.c.

## ◆ unit_goto_callback()

static void unit_goto_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_GOTO" callback.

Definition at line 2220 of file menu.c.

## ◆ unit_goto_city_callback()

static void unit_goto_city_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_GOTO_CITY" callback.

Definition at line 2279 of file menu.c.

## ◆ unit_homecity_callback()

static void unit_homecity_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_HOMECITY" callback.

Definition at line 2395 of file menu.c.

## ◆ unit_patrol_callback()

static void unit_patrol_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_PATROL" callback.

Definition at line 2313 of file menu.c.

## ◆ unit_return_callback()

static void unit_return_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_RETURN" callback.

Definition at line 2291 of file menu.c.

## ◆ unit_sentry_callback()

static void unit_sentry_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_SENTRY" callback.

Definition at line 2331 of file menu.c.

## ◆ unit_teleport_callback()

static void unit_teleport_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_TELEPORT" callback.

Definition at line 2322 of file menu.c.

## ◆ unit_unload_transporter_callback()

static void unit_unload_transporter_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_UNLOAD_TRANSPORTER" callback.

Definition at line 2385 of file menu.c.

## ◆ unit_upgrade_callback()

static void unit_upgrade_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_UPGRADE" callback.

Definition at line 2405 of file menu.c.

## ◆ unit_wait_callback()

static void unit_wait_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNIT_WAIT" callback.

Definition at line 2200 of file menu.c.

## ◆ unsentry_all_callback()

static void unsentry_all_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "UNSENTRY_ALL" callback.

Definition at line 2341 of file menu.c.

## ◆ view_menu_item_toggle()

static void view_menu_item_toggle | ( | void(*)(void) | cb,
|  | bool | updt_sensitivity,
|  | gpointer | data
| ) |  |

static

Common handling of view menu entry toggles.

Definition at line 1767 of file menu.c.

Referenced by show_bases_callback(), show_cities_callback(), show_city_buy_cost_callback(), show_city_full_bar_callback(), show_city_growth_callback(), show_city_names_callback(), show_city_outlines_callback(), show_city_output_callback(), show_city_productions_callback(), show_city_trade_routes_callback(), show_coastline_callback(), show_focus_unit_callback(), show_fog_of_war_callback(), show_huts_callback(), show_irrigation_callback(), show_map_grid_callback(), show_mines_callback(), show_national_borders_callback(), show_native_tiles_callback(), show_paths_callback(), show_pollution_callback(), show_resources_callback(), show_stack_size_callback(), show_terrain_callback(), show_unit_shields_callback(), show_unit_solid_bg_callback(), and show_units_callback().

## ◆ view_menu_update_sensitivity()

static void view_menu_update_sensitivity | ( | GActionMap * | map | ) |

static

Update the sensitivity of the items in the view menu.

Definition at line 3357 of file menu.c.

## ◆ worklists_callback()

static void worklists_callback | ( | GSimpleAction * | action,
|  | GVariant * | parameter,
|  | gpointer | data
| ) |  |

static

Item "WORKLISTS" callback.

Definition at line 1351 of file menu.c.

## Variable Documentation

## ◆ acts

const GActionEntry acts[]

Definition at line 1042 of file menu.c.

Referenced by setup_app_actions().

## ◆ combat_menu

GMenu* combat_menu = NULL

static

Definition at line 89 of file menu.c.

Referenced by real_menus_update(), and setup_menus().

## ◆ edit_menu

GMenu* edit_menu = NULL

static

Definition at line 84 of file menu.c.

Referenced by real_menus_update(), setup_menus(), and toggle_fog_callback().

## ◆ gov_menu

GMenu* gov_menu = NULL

static

Definition at line 86 of file menu.c.

## ◆ main_menubar

GMenu* main_menubar = NULL

static

Definition at line 73 of file menu.c.

Referenced by enable_menus().

## ◆ menu_entries

struct menu_entry_info menu_entries[]

static

Definition at line 534 of file menu.c.

## ◆ menus_built

bool menus_built = FALSE

static

Definition at line 74 of file menu.c.

Referenced by real_menus_init(), real_menus_update(), and setup_menus().

## ◆ meoms

const struct menu_entry_option_map meoms[]

Definition at line 1726 of file menu.c.

Referenced by menus_set_initial_toggle_values(), and view_menu_item_toggle().

## ◆ options_menu

GMenu* options_menu = NULL

static

Definition at line 83 of file menu.c.

Referenced by city_dialog::display_worklist_menu(), save_options_on_exit_callback(), and setup_menus().

## ◆ unit_menu

GMenu* unit_menu = NULL

static

Definition at line 87 of file menu.c.

Referenced by real_menus_update(), and setup_menus().

## ◆ view_menu

GMenu* view_menu = NULL

static

Definition at line 85 of file menu.c.

Referenced by full_screen_callback(), setup_menus(), and view_menu_item_toggle().

## ◆ work_menu

GMenu* work_menu = NULL

static

Definition at line 88 of file menu.c.

Referenced by real_menus_update(), and setup_menus().